From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/image_processing/
Date: Sun, 12 Apr 2020 06:22:05 +0000 (UTC) [thread overview]
Message-ID: <1586672519.2e8dbfeafd0429f573432dd6776614e6cb261c61.graaff@gentoo> (raw)
commit: 2e8dbfeafd0429f573432dd6776614e6cb261c61
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 12 06:21:19 2020 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Apr 12 06:21:59 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2e8dbfea
dev-ruby/image_processing: add 1.10.3
Drop x86 keyword due to new dependency, bug 717172
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/image_processing/Manifest | 1 +
.../image_processing-1.10.3.ebuild | 43 ++++++++++++++++++++++
2 files changed, 44 insertions(+)
diff --git a/dev-ruby/image_processing/Manifest b/dev-ruby/image_processing/Manifest
index 258f9743095..d325db7a9a5 100644
--- a/dev-ruby/image_processing/Manifest
+++ b/dev-ruby/image_processing/Manifest
@@ -1,2 +1,3 @@
DIST image_processing-1.10.0.tar.gz 984866 BLAKE2B 3afcdff652eec40ea652c68a99d6f18970596a8221883ec627b678b8af0013127471490a093ff190134d12e2b6eb4f8a42252d49b4fc61cfff8858b49d1f124e SHA512 47a465ce4e450647a67bda376bfdb5da5a0ceacfc01be5e15dfc819232b76509fdc2c6a8196042dd8508c69e0d19c8f08a54b939dd3e808f9a2ff31efd891c9a
+DIST image_processing-1.10.3.tar.gz 985090 BLAKE2B 9626dd41ae97cd0c68b857ccce2dd2b5eebbc04a5a3fc145cfde681b8ba9cc78806ddf1e7542afa2799ad707ced592149304216875297fc1bac112501dfcdbbb SHA512 7883199b2ccd693ae91a5d028a7c7bf5834cb36c7a48b4d02d1d92d7681e382a4e6605ca80cb0ca2f9949bfa95d8dafac3057e2508bb2932c5c3c0c3dee99b12
DIST image_processing-1.9.3.tar.gz 984561 BLAKE2B 71c729c36e7048ceee3bd452d0429b24303f6898658337211cda4c697823e275f84c8b5ccbce857caa8f63a80e620f11822d3c0024f05343c3d72f9c8aedbdb9 SHA512 117e45146b646632bb2990f1651a494887ec8b75d8dcfcbea241b75d4691329597b7c8979fd13d4e51bacd5065b51594d6de9357e63c8b9b959b78fe075d0a76
diff --git a/dev-ruby/image_processing/image_processing-1.10.3.ebuild b/dev-ruby/image_processing/image_processing-1.10.3.ebuild
new file mode 100644
index 00000000000..5f597dbccf0
--- /dev/null
+++ b/dev-ruby/image_processing/image_processing-1.10.3.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md doc/*.md"
+
+RUBY_FAKEGEM_GEMSPEC="image_processing.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="High-level image processing helper methods with libvips and ImageMagick"
+HOMEPAGE="https://github.com/janko/image_processing"
+SRC_URI="https://github.com/janko/image_processing/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "
+ >=dev-ruby/mini_magick-4.9.5:0
+"
+
+ruby_add_bdepend "test? (
+ >=dev-ruby/minitest-5.8:5
+ >=dev-ruby/minitest-hooks-1.4.2
+ dev-ruby/minispec-metadata
+)"
+
+all_ruby_prepare() {
+ # Only support imagemagick for now since vips is not packaged
+ sed -i -e '/ruby-vips/ s:^:#:' ${RUBY_FAKEGEM_GEMSPEC} || die
+ rm -f test/{pipeline,vips}_test.rb || die
+ sed -i -e '/assert_dimensions/ s:^:#:' test/*_test.rb || die
+
+ # phash is not packaged
+ sed -i -e '/\(assert\|refute\)_similar/ s:^:#:' test/*_test.rb || die
+
+ sed -i -e '/\(bundler\|phashion\|vips\)/ s:^:#:' Rakefile test/test_helper.rb || die
+}
next reply other threads:[~2020-04-12 6:22 UTC|newest]
Thread overview: 29+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-04-12 6:22 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-25 4:38 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/image_processing/ Hans de Graaff
2024-05-19 5:33 Hans de Graaff
2023-09-10 16:57 Hans de Graaff
2023-04-07 18:25 Sam James
2023-04-05 3:17 Sam James
2023-03-28 20:20 Sam James
2023-03-28 20:16 Sam James
2023-03-18 1:22 Sam James
2023-01-19 7:29 Hans de Graaff
2022-06-13 8:06 Yixun Lan
2022-04-09 7:38 Hans de Graaff
2022-03-14 6:34 Hans de Graaff
2022-03-14 6:34 Hans de Graaff
2021-07-07 8:31 Hans de Graaff
2021-02-19 6:47 Hans de Graaff
2020-12-20 19:14 Sam James
2020-12-20 19:03 Sam James
2020-11-08 6:33 Hans de Graaff
2020-09-22 4:37 Hans de Graaff
2020-07-21 7:30 Hans de Graaff
2020-07-20 6:15 Hans de Graaff
2020-07-20 2:26 Sam James
2020-05-23 17:41 Hans de Graaff
2020-05-23 17:41 Hans de Graaff
2019-12-20 7:21 Hans de Graaff
2019-12-04 6:42 Hans de Graaff
2019-09-07 23:18 Thomas Deutschmann
2019-08-30 10:20 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1586672519.2e8dbfeafd0429f573432dd6776614e6cb261c61.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox